import 'package:tingyun_flutter_plugin/src/agent/interface/web_request_timing.dart';

class NullWebRequestTiming implements TYWebRequestTiming{
  @override
  String getRequestTag() {
    return "";
  }

  @override
  String getRequestTagHeader() {
    return "";
  }

  @override
  void start() {
    return;
  }

  @override
  void stop(int responseCode, {Map<String, String> retriveResponseHeader = const {},
    Map<String, String> apmExistInfo = const {}, Map<String, String> apmNotExistHeader = const {}}) {
    return;
  }

  @override
  void withDnsInfo(int dnsTime, String ipInfo) {
    return;
  }

  @override
  Future<List<String>?> retriveTingyunResponseHeader() {
    return Future(() => []);
  }

}